# $Revision: 1.9 $, $Date: 2011/03/01 06:28:35 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	Services_Twitter
Summary:	%{_pearname} - PHP interface to Twitter's API
Summary(pl.UTF-8):	%{_pearname} - interfejs PHP do API serwisu Twitter
Name:		php-pear-%{_pearname}
Version:	0.6.3
Release:	2
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d08d1e3acef4cc5db7f9a1df6f237e56
URL:		http://pear.php.net/package/Services_Twitter/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.571
Requires:	php-json
Requires:	php-mbstring
Requires:	php-pear
Requires:	php-pear-HTTP_Request2
Requires:	php-pear-PEAR-core >= 1:1.4.0
Requires:	php-simplexml
Suggests:	php-pear-HTTP_OAuth
Obsoletes:	php-pear-Services_Twitter-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(HTTP/OAuth.*)

%description
An interface for communicating with Twitter's public API. Send status
updates, fetch information, add friends, etc.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Interfejs umożliwiający komunikację z publicznym API serwisu Twitter.
Pozwala na wysyłanie aktualizacji statusów, pobieranie informacji,
dodawanie znajomych, itp.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Services/Twitter.php
%{php_pear_dir}/Services/Twitter

%{php_pear_dir}/data/%{_pearname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Services_Twitter.spec,v $
Revision 1.9  2011/03/01 06:28:35  glen
- release 2

Revision 1.8  2011/01/23 01:03:26  sparky
- dropped -tests subpackage

Revision 1.7  2010/09/21 08:55:26  glen
- updated to: 0.6.3

Revision 1.6  2010/08/22 08:08:57  glen
- fix files

Revision 1.5  2010/08/21 19:08:29  glen
- updated deps with pearize.sh
- release 2

Revision 1.4  2010/08/20 10:41:53  glen
- use lua for optional packages info

Revision 1.3  2010/08/20 10:32:03  glen
- up to 0.6.2

Revision 1.2  2008/12/27 01:14:59  adamg
- updated to 0.2.0

Revision 1.1  2008/07/28 09:53:18  adamg
- new

